# Command: DeleteFile

NEST HelpDesk | Command Index | NEST Quick Reference

Name:

    DeleteFile - Delete a file

Synopsis:

    string DeleteFile -> boolean

Examples:

    (DontNeedYou) DeleteFile -> True, and DontNeedYou is removed
      from your working directory
      if this file existed,
      otherwise False.

Description:

    Delete a file defined by it's filename. To be exact, it
      is unlinked, so if it link to another file, only the link and not
      the file is removed. (This is at least what is supposed to happen
      if your POSIX is really POSIX ...)
      Mind that regex arguments like (*) DeleteFile are NOT supported.
      This was done for safety reasons because the regex flavour of
      POSIX is not exactly like what one might be used to from UNIX,
      which could easily end in a disaster.

Parameters:

    string : Filename of file to be deleted.
      boolean : A flag if operation succeded.

Bugs:

    -

Remarks:

    -

Author:

    Hehl

FirstVersion:

    Oct 12th 1999

SeeAlso:

- CopyFile
- ofstream
- ifstream
- MoveFile
- FileNames
- MakeDirectory
- RemoveDirectory

Source:

    /opt/conda/conda-bld/nest_1510212701067/work/nest-2.14.0/lib/sli/filesystem.sli

NEST HelpDesk | Command Index | NEST Quick Reference

© 2004 The NEST Initiative